> ## Documentation Index
> Fetch the complete documentation index at: https://enterprise-docs.dify.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取应用参数

> 获取应用的输入表单配置，包括功能开关、输入参数名称、类型和默认值。



## OpenAPI

````yaml /zh/3.10.x/develop/api/openapi_completion.json get /parameters
openapi: 3.0.1
info:
  title: 文本生成型应用 API
  description: 文本生成型应用提供无会话支持，适用于翻译、文章撰写、摘要总结 AI 等场景。
  version: 1.0.0
servers:
  - url: https://{api_base_url}
    description: 文本生成型应用 API 的基础 URL。
    variables:
      api_base_url:
        default: api.dify.ai/v1
        description: API 基础 URL 的主机与路径，不含 `https://` 前缀。
security:
  - ApiKeyAuth: []
tags:
  - name: 文本生成
    description: 文本生成相关操作。
  - name: 文件操作
    description: 文件管理相关操作。
  - name: 终端用户
    description: 终端用户信息相关操作。
  - name: 消息反馈
    description: 用户反馈相关操作。
  - name: 语音与文字转换
    description: 语音转文字和文字转语音相关操作。
  - name: 应用配置
    description: 获取应用设置和信息的操作。
paths:
  /parameters:
    get:
      tags:
        - 应用配置
      summary: 获取应用参数
      description: 获取应用的输入表单配置，包括功能开关、输入参数名称、类型和默认值。
      operationId: getAppParameters
      responses:
        '200':
          description: 应用参数信息。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CompletionAppParametersResponse'
              examples:
                appParameters:
                  summary: 响应示例
                  value:
                    opening_statement: Hello! How can I help you today?
                    suggested_questions:
                      - What can you do?
                      - Tell me about your features.
                    suggested_questions_after_answer:
                      enabled: true
                    speech_to_text:
                      enabled: false
                    text_to_speech:
                      enabled: false
                      voice: alloy
                      language: en-US
                      autoPlay: disabled
                    retriever_resource:
                      enabled: true
                    annotation_reply:
                      enabled: false
                    more_like_this:
                      enabled: false
                    sensitive_word_avoidance:
                      enabled: false
                    user_input_form:
                      - text-input:
                          label: City
                          variable: city
                          required: true
                          default: ''
                    file_upload:
                      image:
                        enabled: true
                        number_limits: 3
                        detail: high
                        transfer_methods:
                          - remote_url
                          - local_file
                    system_parameters:
                      file_size_limit: 15
                      image_file_size_limit: 10
                      audio_file_size_limit: 50
                      video_file_size_limit: 100
                      workflow_file_upload_limit: 10
        '400':
          description: '`app_unavailable` : 应用不可用或配置错误。'
          content:
            application/json:
              examples:
                app_unavailable:
                  summary: app_unavailable
                  value:
                    status: 400
                    code: app_unavailable
                    message: App unavailable, please check your app configurations.
components:
  schemas:
    CompletionAppParametersResponse:
      type: object
      properties:
        opening_statement:
          type: string
          description: 开始时显示的开场白。
        suggested_questions:
          type: array
          items:
            type: string
          description: 建议的初始问题列表。
        suggested_questions_after_answer:
          type: object
          description: 回答后建议问题的配置。
          properties:
            enabled:
              type: boolean
              description: 是否启用此功能。
        speech_to_text:
          type: object
          description: 语音转文字配置。
          properties:
            enabled:
              type: boolean
              description: 是否启用此功能。
        text_to_speech:
          type: object
          description: 文字转语音配置。
          properties:
            enabled:
              type: boolean
              description: 是否启用此功能。
            voice:
              type: string
              description: TTS 的声音标识符。
            language:
              type: string
              description: TTS 的语言。
            autoPlay:
              type: string
              enum:
                - enabled
                - disabled
              description: 自动播放设置。
        retriever_resource:
          type: object
          description: 检索资源配置。
          properties:
            enabled:
              type: boolean
              description: 是否启用此功能。
        annotation_reply:
          type: object
          description: 标注回复配置。
          properties:
            enabled:
              type: boolean
              description: 是否启用此功能。
        more_like_this:
          type: object
          description: 更多类似内容配置。
          properties:
            enabled:
              type: boolean
              description: 是否启用此功能。
        sensitive_word_avoidance:
          type: object
          description: 敏感词过滤配置。
          properties:
            enabled:
              type: boolean
              description: 是否启用此功能。
        user_input_form:
          type: array
          description: 用户输入表单元素列表。
          items:
            $ref: '#/components/schemas/UserInputFormItem'
        file_upload:
          type: object
          description: 文件上传配置。
          properties:
            image:
              type: object
              description: 图片上传设置。
              properties:
                enabled:
                  type: boolean
                  description: 是否启用图片上传。
                number_limits:
                  type: integer
                  description: 最大图片数量。
                detail:
                  type: string
                  description: 图片精细程度。
                transfer_methods:
                  type: array
                  items:
                    type: string
                    enum:
                      - remote_url
                      - local_file
                  description: 允许的传输方式。
        system_parameters:
          type: object
          description: 系统级参数和限制。
          properties:
            file_size_limit:
              type: integer
              description: 最大文件大小（MB）。
            image_file_size_limit:
              type: integer
              description: 最大图片文件大小（MB）。
            audio_file_size_limit:
              type: integer
              description: 最大音频文件大小（MB）。
            video_file_size_limit:
              type: integer
              description: 最大视频文件大小（MB）。
            workflow_file_upload_limit:
              type: integer
              description: 工作流文件上传的最大文件数。
    UserInputFormItem:
      type: object
      oneOf:
        - $ref: '#/components/schemas/TextInputControlWrapper'
        - $ref: '#/components/schemas/ParagraphControlWrapper'
        - $ref: '#/components/schemas/SelectControlWrapper'
    TextInputControlWrapper:
      title: Text Input
      type: object
      properties:
        text-input:
          $ref: '#/components/schemas/TextInputControl'
    ParagraphControlWrapper:
      title: Paragraph
      type: object
      properties:
        paragraph:
          $ref: '#/components/schemas/ParagraphControl'
    SelectControlWrapper:
      title: Select
      type: object
      properties:
        select:
          $ref: '#/components/schemas/SelectControl'
    TextInputControl:
      type: object
      properties:
        label:
          type: string
          description: 表单字段的显示标签。
        variable:
          type: string
          description: 用作 `inputs` 对象中键的变量名。
        required:
          type: boolean
          description: 提交前是否必须填写此字段。
        default:
          type: string
          description: 表单字段中预填的默认值。
    ParagraphControl:
      type: object
      properties:
        label:
          type: string
          description: 表单字段的显示标签。
        variable:
          type: string
          description: 用作 `inputs` 对象中键的变量名。
        required:
          type: boolean
          description: 提交前是否必须填写此字段。
        default:
          type: string
          description: 表单字段中预填的默认值。
    SelectControl:
      type: object
      properties:
        label:
          type: string
          description: 表单字段的显示标签。
        variable:
          type: string
          description: 用作 `inputs` 对象中键的变量名。
        required:
          type: boolean
          description: 提交前是否必须做出选择。
        default:
          type: string
          description: 默认选中的值。
        options:
          type: array
          items:
            type: string
          description: 此表单控件的可选值列表。
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: API_KEY
      description: >-
        API Key 认证。对于所有 API 请求，请在 `Authorization` HTTP 头中包含您的 API Key，并加上
        `Bearer ` 前缀。示例：`Authorization: Bearer {API_KEY}`。**强烈建议将 API Key
        存储在服务端，不要在客户端共享或存储，以避免 API Key 泄漏导致严重后果。**

````